Bug 143466 - kernel: Buffer I/O error on device sda1, logical block xxxxx
kernel: Buffer I/O error on device sda1, logical block xxxxx
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: 519119
  Show dependency treegraph
 
Reported: 2004-12-21 02:58 EST by James
Modified: 2015-01-04 17:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 519119 (view as bug list)
Environment:
Last Closed: 2005-10-02 21:14:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James 2004-12-21 02:58:03 EST
Description of problem:
Thousands of "kernel: Buffer I/O error on device sda1, logical block
xxxxxx errors are generated when trying to create an ext3 file system
on an ATA hard disk installed in a Maxtor external HDD enclosure
connected via Firewire.

Version-Release number of selected component (if applicable):
scsi0 in kernel-2.6.9-1.667

How reproducible:
Always

Steps to Reproduce:
1. mke2fs -ccj -m 0 -L firewire-1 -T largefile4 -v /dev/sda1
Where /dev/sda1 is an ATA hard disk installed in a Maxtor external
enclosure attached via Firewire
  
Actual results:
Everything works fine up until the "Reading and Comparing" stage, when
you reach block 18174724, you see errors like:
kernel: Buffer I/O error on device sda1, logical block 18174724
for every block after that.

Expected results:
Should work with no errors.

Additional info:
Comment 1 James 2004-12-21 03:02:39 EST
The errors in /var/log/messages immediately before the Buffer I/O
errors are:

Dec 21 02:37:25 skullbucket kernel: ieee1394: sbp2: aborting sbp2
commandDec 21 02:37:25 skullbucket kernel: Read (10) 00 02 2a a7 37 00
00 f8 00Dec 21 02:37:35 skullbucket kernel: ieee1394: sbp2: aborting
sbp2 commandDec 21 02:37:35 skullbucket kernel: Test Unit Ready 00 00
00 00 00Dec 21 02:37:35 skullbucket kernel: ieee1394: sbp2: aborting
sbp2 commandDec 21 02:37:35 skullbucket kernel: Read (10) 00 02 2a a8
2f 00 00 10 00Dec 21 02:37:45 skullbucket kernel: ieee1394: sbp2:
aborting sbp2 commandDec 21 02:37:45 skullbucket kernel: Test Unit
Ready 00 00 00 00 00Dec 21 02:37:45 skullbucket kernel: ieee1394:
sbp2: reset requestedDec 21 02:37:45 skullbucket kernel: ieee1394:
sbp2: Generating sbp2 fetch agent resetDec 21 02:37:55 skullbucket
kernel: ieee1394: sbp2: aborting sbp2 commandDec 21 02:37:55
skullbucket kernel: Test Unit Ready 00 00 00 00 00Dec 21 02:37:55
skullbucket kernel: ieee1394: sbp2: reset requestedDec 21 02:37:55
skullbucket kernel: ieee1394: sbp2: Generating sbp2 fetch agent reset
Dec 21 02:38:15 skullbucket kernel: ieee1394: sbp2: aborting sbp2 command
Dec 21 02:38:15 skullbucket kernel: Test Unit Ready 00 00 00 00 00
Dec 21 02:38:25 skullbucket kernel: ieee1394: sbp2: aborting sbp2 command
Dec 21 02:38:25 skullbucket kernel: Test Unit Ready 00 00 00 00 00
Dec 21 02:38:25 skullbucket kernel: ieee1394: sbp2: reset requested
Dec 21 02:38:25 skullbucket kernel: ieee1394: sbp2: Generating sbp2
fetch agent reset
Dec 21 02:38:45 skullbucket kernel: ieee1394: sbp2: aborting sbp2 command
Dec 21 02:38:45 skullbucket kernel: Test Unit Ready 00 00 00 00 00
Dec 21 02:38:55 skullbucket kernel: ieee1394: sbp2: aborting sbp2 command
Dec 21 02:38:55 skullbucket kernel: Test Unit Ready 00 00 00 00 00
Dec 21 02:38:55 skullbucket kernel: scsi: Device offlined - not ready
after error recovery: host 0 channel 0 id 0 lun 0
Dec 21 02:38:55 skullbucket kernel: scsi: Device offlined - not ready
after error recovery: host 0 channel 0 id 0 lun 0
Dec 21 02:38:55 skullbucket kernel: SCSI error : <0 0 0 0> return code
= 0x50000
Dec 21 02:38:55 skullbucket kernel: end_request: I/O error, dev sda,
sector 36349751
Dec 21 02:38:55 skullbucket kernel: scsi0 (0:0): rejecting I/O to
offline device
Dec 21 02:38:55 skullbucket kernel: SCSI error : <0 0 0 0> return code
= 0x50000
Dec 21 02:38:55 skullbucket kernel: end_request: I/O error, dev sda,
sector 36349999
Dec 21 02:38:55 skullbucket kernel: scsi0 (0:0): rejecting I/O to
offline device
Dec 21 02:38:55 skullbucket kernel: scsi0 (0:0): rejecting I/O to
offline device
Comment 2 Dave Jones 2005-07-15 15:05:31 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 Dave Jones 2005-10-02 21:14:56 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.